using UnityEngine;
using System;
using System.Collections.Generic;

public class NobilityLow01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "Your weak government have led us to misery. Our wealth and lands are completely gone and our swords and horses are all we have to live by now. There is nothing else we can do now but leave these cursed lands and look for our own destiny.";
    }

    protected override string GetSender()
    {
        return "Knights of Bluchmore";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Nobility;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Low;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Bribe them", 
                new ResponseLetter
                (
                    "We'll accept your offer and stay... for now.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Wealthy, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Nobility, +0.2f} }
                )
            ),
            new Choice
            (
                "Attack them", 
                new ResponseLetter
                (
                    "So you sent the kingdom's few soldiers to attack us because of your foolish pride? Congratulations, now you are as ruined as we are.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Warpower, -0.1f }, { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Nobility, -0.2f} }
                )
            ),
            new Choice
            (
                "Let them go", 
                new ResponseLetter
                (
                    "You'll just let us leave? What happened to this once mighty kingdom? How shameful. Farewell.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Warpower, -0.1f }, { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Nobility, -0.2f} }
                )
            )
        };
    }
}